#ifndef PRIVACYDIALOG_H
#define PRIVACYDIALOG_H

#include <QFile>
#include <QObject>
#include <QWidget>
#include <QDialog>
#include <QString>
#include <QTextBrowser>

#include "ukcccommon.h"

using namespace ukcc;

const static QString endUserAgreementSP1 = "/usr/share/protocol/Ukcc-Agreement-%1.txt";
const static QString endUserAgreementOK = "/usr/share/protocol/Ukcc-Agreement-OK-%1.txt";

class PrivacyDialog  : public QDialog
{
    Q_OBJECT
public:
    PrivacyDialog(QWidget *parent);
    ~PrivacyDialog();
private:
    void initUi();

    QString getEnduserAgreement();
    QString getLicenseText(const QString &filePath);
    QString getLicensePath(const QString &filePath);
    QString getProtocolTitle();
    QString getCompanyName();

};

#endif // PRIVACYDIALOG_H
